Bug 384711 - Translations missing from the menu entry
Translations missing from the menu entry
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
TB12ReproductionRequest
: FutureFeature, Patch, Translation, Triaged
: 383461 435051 (view as bug list)
Depends On: 383411 435051
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 09:53 EST by Matěj Cepl
Modified: 2012-03-22 09:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-22 09:48:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
thunderbird.desktop from the Ubuntu patch (1.11 KB, text/plain)
2007-11-15 09:53 EST, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 371734 None None None Never

  None (edit)
Description Matěj Cepl 2007-11-15 09:53:15 EST
The same stuff for thunderbird.

+++ This bug was initially created as a clone of Bug #383411 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fi-FI; rv:1.8.1.8) Gecko/20071030
Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
The Firefox menu entry is not translated. I'm running my desktop in Finnish and
still the Firefox menu entry is "Firefox Web Browser", when in should be
"Firefox-WWW-selain" or something similar.

The problem is that there are no translations in the file
/usr/share/applications/mozilla-firefox.desktop . If you compare that to e.g.
/usr/share/applications/redhat-evolution-mail.desktop, you'll see that it has
lots of translations.

As Firefox is the default browser in Fedora, I hope this could be fixed.

Version-Release number of selected component (if applicable):
firefox-2.0.0.8-2.fc8

How reproducible:
Always


Steps to Reproduce:
1. Open the Internet menu in either KDE or Gnome when running the desktop in
Finnish or some other non-English language.

Actual Results:
The Firefox menu entry is not translated.

Expected Results:
The Firefox menu entry should be made translatable and after translators have
translated it, it should show up in the language that the user is using.
Ubuntu .desktop files is from
http://archive.ubuntu.com/ubuntu/pool/main/t/thunderbird/thunderbird_2.0.0.6+nobinonly-0ubuntu1.diff.gz

Additional info:

-- Additional comment from mcepl@redhat.com on 2007-11-15 09:22 EST --
Created an attachment (id=259801)
Ubuntu firefox.desktop

Extracted from
http://archive.ubuntu.com/ubuntu/pool/main/f/firefox/firefox_2.0.0.8+2nobinonly-0ubuntu3.diff.gz
Comment 1 Matěj Cepl 2007-11-15 09:53:15 EST
Created attachment 259881 [details]
thunderbird.desktop from the Ubuntu patch
Comment 2 Matěj Cepl 2007-11-16 09:23:53 EST
*** Bug 383461 has been marked as a duplicate of this bug. ***
Comment 3 Matěj Cepl 2008-03-07 17:42:55 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test with the latest
version of Thunderbird (2.0.0.12) now available for your distribution and
provide feedback as to whether the problem still exists so we can file a ticket
upstream as soon as possible.
Comment 4 Ville-Pekka Vainio 2008-03-08 03:14:12 EST
Yes, the problem still exists in thunderbird-2.0.0.12-1.fc8. I can't test with
Rawhide right now.
Comment 5 Ville-Pekka Vainio 2008-04-08 02:53:50 EDT
I tested with Rawhide yesterday and the menu entry translations were still
missing. Today is the freeze for F-9 builds, could this be fixed, even by using
the Ubuntu file, please?
Comment 6 Bug Zapper 2008-11-26 03:27:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Ville-Pekka Vainio 2008-11-26 03:59:33 EST
This bug is still there in Fedora 10.
Comment 8 Piotr Drąg 2009-06-20 18:33:53 EDT
Still in Fedora 11.
Comment 9 Christopher Aillon 2011-04-11 00:40:22 EDT
*** Bug 435051 has been marked as a duplicate of this bug. ***
Comment 10 Ville-Pekka Vainio 2011-12-03 15:42:40 EST
Ping?
Comment 11 Jan Horak 2012-03-22 09:48:18 EDT
Sorry for long delay, this fix will be part of next security update. Closing as NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.